{% extends 'registration/base.html' %}

{% block page_title %}{% block top_title %}
 مقالات
{% endblock top_title %}{% endblock page_title %}

{% block main_content %}
    <div class="row">
        <div class="col-12">
            
            {% if object_list %}
                <div class="card">
                    <div class="card-body table-responsive p-0">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th>عنوان</th>
                                    <th>تصویر</th>
                                    <th>محتوا</th>
                                    <th>نویسنده</th>
                                    <th>دسته‌بندی(ها)</th>
                                    <th>تاریخ ایجاد</th>
                                    <th>تاریخ انتشار</th>
                                    <th>تاریخ آپدیت</th>
                                    <th>مقاله ویژه</th>
                                    <th>وضعیت</th>
                                </tr>
                            </thead>
                            <tbody>
                                
                                {% for article in object_list %}
                                    <tr>
                                        <td>
                                            
                                            {% if article.status in 'bd'|make_list or user.is_superuser %}
                                                <a href="{% url 'accounts:article_update' article.pk %}">{{article.title}}</a>
                                            {% else %}
                                                {{article.title}}
                                            {% endif %}
                                                
                                        </td>
                                        <td><img src="{{article.thumbnail.url}}" alt="{{article.title}}" width="120px" style="border-radius:5px;"></td>
                                        <td>{{article.description|striptags|truncatewords:30}}</td>
                                        <td>{{article.author.get_full_name}}</td>
                                        <td>{{article.cat_to_str}}</td>
                                        <td>{{article.jcreate}}</td>
                                        <td>{{article.jpublish}}</td>
                                        <td>{{article.jupdate}}</td>
                                        <td>
                                            
                                            {% if article.is_special %}
                                                <i class="fas fa-check-circle" style="color: rgb(10, 190, 10);"></i>
                                            {% else %}
                                                <i class="fas fa-times-circle" style="color:rgb(255, 51, 51);"></i>
                                            {% endif %}
                                                
                                        </td>
                                        <td>
                                            
                                            {% if article.status == 'p' %}
                                                <span class="badge badge-success" style="font-size: 14px;">منتشر شده</span>
                                                <hr>
                                                <a target="_blank" class="badge badge-primary" style="font-size: 14px;" href="{% url 'blog:post_detail' article.slug %}">نمایش در سایت</a>
                                            {% elif article.status == 'w' %}
                                                <span class="badge" style="font-size: 14px; background: #80d3ff;">در انتظار تایید</span>
                                                
                                                {% if user.is_superuser %}
                                                    <hr>
                                                    <a target="_blank" class="badge badge-info" style="font-size: 14px;" href="{% url 'blog:post_preview' article.pk %}">پیش‌نمایش</a>
                                                {% endif %}
                                                    
                                            {% else %}
                                                
                                                {% if article.status == 'd' %}
                                                    <span class="badge badge-secondary" style="font-size: 14px;">پیش‌نویس</span>
                                                {% else %}
                                                    <span class="badge badge-warning" style="font-size: 14px;">برگشت داده شده</span>
                                                {% endif %}
                                                    
                                                <hr>
                                                <a target="_blank" class="badge badge-info" style="font-size: 14px;" href="{% url 'blog:post_preview' article.pk %}">پیش‌نمایش</a>
                                            {% endif %}

                                            {% if user.is_superuser %}
                                                <hr>
                                                <a class="badge text-danger" style="font-size: 14px;" href="{% url 'accounts:article_delete' article.pk %}">حذف</a>
                                            {% endif %}
                                                
                                        </td>
                                    </tr>
                                {% endfor %}

                            </tbody>
                        </table>
                    </div><!-- /.card-body -->
                </div><!-- /.card -->
            {% else %}
                <h5 class="alert alert-info text-center mx-5">شما هیچ مقاله ای ندارید.</h5>
            {% endif %}

        </div>
    </div>
{% endblock main_content %}